curl --request POST \
--url https://sandbox.api.fin.com/v1/customers/business \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"basic_info": {
"business_name": "Rocy Pte Ltd Business c2",
"description": "Some text about the company",
"entity_type": "LIMITED_LIABILITY_COMPANY",
"website": "https://rockeyrock.web",
"email": "rocy@jane.com",
"incorporation_date": "2000-01-01",
"phone": "+8801912200000",
"country_of_incorporation": "AFG",
"registration_number": "202312345N",
"tax_id": "12-3456789",
"business_trade_name": "Jane"
},
"financial_profile": {
"purpose_id": 10,
"business_industry_id": 1,
"monthly_volume": 100000,
"source_of_fund_id": 13,
"third_party_fund_usage": false,
"other_purpose": "custom other purpose"
},
"addresses": {
"is_incorporated_address_same": true,
"incorporated_address": {
"street": "10 Anson Road #26-04 International Plaza",
"city": "Singapore",
"state": "BD-13",
"postal_code": "079903",
"country": "AFG"
},
"physical_address": {
"street": "10 Anson Road #26-04 International Plaza",
"city": "Singapore",
"state": "SG-01",
"postal_code": "079903",
"country": "AFG"
}
},
"associated_parties": [
{
"basic_info": {
"first_name": "John",
"last_name": "Doe UBO1 c2",
"dob": "1990-05-10",
"email": "john.ubo.c1@jane.com",
"phone": "+8801912244626",
"country_of_residence": "AFG",
"nationality": "AFG",
"tin": "TIN-443566"
},
"address": {
"street": "123 Orchard Road #12-01",
"city": "Singapore",
"state": "BD-13",
"postal_code": "1212",
"country": "AFG"
},
"ownership_info": {
"designation": "CTO",
"percentage_of_ownership": 10,
"relationship_establishment_date": "2015-06-01"
}
}
],
"verification_type": "RELIANCE",
"meta_data": {
"reference": "ref-20250910-XYZ"
}
}
'{
"data": {
"customer_id": "2d0a9df3-e1e5-4955-9759-ce0522e0ddc9",
"tos_policies_url": "https://orchestration.fin.com/orchestration-customer-tos?customer_id=2d0a9df3-e1e5-4955-9759-ce0522e0ddc9&tos_policies_value=f11e77c6-8dc0-4d4b-a3f2-ed84c8ccfc69"
}
}Create a new business customer with verification details, addresses, and associated parties
curl --request POST \
--url https://sandbox.api.fin.com/v1/customers/business \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"basic_info": {
"business_name": "Rocy Pte Ltd Business c2",
"description": "Some text about the company",
"entity_type": "LIMITED_LIABILITY_COMPANY",
"website": "https://rockeyrock.web",
"email": "rocy@jane.com",
"incorporation_date": "2000-01-01",
"phone": "+8801912200000",
"country_of_incorporation": "AFG",
"registration_number": "202312345N",
"tax_id": "12-3456789",
"business_trade_name": "Jane"
},
"financial_profile": {
"purpose_id": 10,
"business_industry_id": 1,
"monthly_volume": 100000,
"source_of_fund_id": 13,
"third_party_fund_usage": false,
"other_purpose": "custom other purpose"
},
"addresses": {
"is_incorporated_address_same": true,
"incorporated_address": {
"street": "10 Anson Road #26-04 International Plaza",
"city": "Singapore",
"state": "BD-13",
"postal_code": "079903",
"country": "AFG"
},
"physical_address": {
"street": "10 Anson Road #26-04 International Plaza",
"city": "Singapore",
"state": "SG-01",
"postal_code": "079903",
"country": "AFG"
}
},
"associated_parties": [
{
"basic_info": {
"first_name": "John",
"last_name": "Doe UBO1 c2",
"dob": "1990-05-10",
"email": "john.ubo.c1@jane.com",
"phone": "+8801912244626",
"country_of_residence": "AFG",
"nationality": "AFG",
"tin": "TIN-443566"
},
"address": {
"street": "123 Orchard Road #12-01",
"city": "Singapore",
"state": "BD-13",
"postal_code": "1212",
"country": "AFG"
},
"ownership_info": {
"designation": "CTO",
"percentage_of_ownership": 10,
"relationship_establishment_date": "2015-06-01"
}
}
],
"verification_type": "RELIANCE",
"meta_data": {
"reference": "ref-20250910-XYZ"
}
}
'{
"data": {
"customer_id": "2d0a9df3-e1e5-4955-9759-ce0522e0ddc9",
"tos_policies_url": "https://orchestration.fin.com/orchestration-customer-tos?customer_id=2d0a9df3-e1e5-4955-9759-ce0522e0ddc9&tos_policies_value=f11e77c6-8dc0-4d4b-a3f2-ed84c8ccfc69"
}
}RELIANCE verification type but it’s not enabled for your client, you will receive a 423 error with message: “RELIANCE is not available for your client”third_party_fund_usage field indicates whether this customer will be moving other people’s moneyBearer token authentication. Obtain token from /v1/oauth/token endpoint
Show child attributes
Show child attributes
Show child attributes
Array of associated parties (UBOs, directors, shareholders, etc.)
1Show child attributes
Type of verification to perform (optional, defaults to STANDARD). Note that RELIANCE verification must be enabled for your client, or you will receive a 423 error.
STANDARD, RELIANCE "RELIANCE"
Additional custom metadata as key-value pairs
{ "reference": "ref-20250910-XYZ" }Business customer created successfully
Show child attributes